Index: git/hw/kdrive/Makefile.am
===================================================================
--- git.orig/hw/kdrive/Makefile.am	2006-09-02 12:12:13.000000000 +0200
+++ git/hw/kdrive/Makefile.am	2006-09-02 12:12:14.000000000 +0200
@@ -7,6 +7,10 @@
 FBDEV_SUBDIRS = fbdev epson
 endif
 
+if KDRIVEW100
+W100_SUBDIRS = w100
+endif
+
 if XSDLSERVER
 XSDL_SUBDIRS = sdl
 endif
@@ -20,6 +24,7 @@
 	linux			\
 	$(XSDL_SUBDIRS)		\
 	$(FBDEV_SUBDIRS)	\
+	$(W100_SUBDIRS)		\
 	$(VESA_SUBDIRS)		\
 	$(XEPHYR_SUBDIRS)       \
 	fake
Index: git/configure.ac
===================================================================
--- git.orig/configure.ac	2006-09-02 12:12:14.000000000 +0200
+++ git/configure.ac	2006-09-02 12:12:14.000000000 +0200
@@ -442,6 +442,7 @@
 AC_ARG_ENABLE(kdrive,         AS_HELP_STRING([--enable-kdrive], [Build kdrive servers (default: no)]), [KDRIVE=$enableval], [KDRIVE=no])
 AC_ARG_ENABLE(xephyr,         AS_HELP_STRING([--enable-xephyr], [Build the kdrive Xephyr server (default: auto)]), [XEPHYR=$enableval], [XEPHYR=auto])
 AC_ARG_ENABLE(xsdl,           AS_HELP_STRING([--enable-xsdl], [Build the kdrive Xsdl server (default: auto)]), [XSDL=$enableval], [XSDL=auto])
+AC_ARG_ENABLE(w100,           AS_HELP_STRING([--enable-w100], [Build the kdrive Xw100 server (default: no)]), [KDRIVEW100=$enableval], [KDRIVEW100=no])
 dnl xprint
 AC_ARG_ENABLE(freetype,       AS_HELP_STRING([ --enable-freetype], [Build Xprint FreeType backend (default: yes)]), [XP_USE_FREETYPE=$enableval],[XP_USE_FREETYPE=no])
 AC_ARG_WITH(freetype-config,  AS_HELP_STRING([ --with-freetype-config=PROG], [Use FreeType configuration program PROG (default: auto)]), freetype_config=$withval, freetype_config=auto)
@@ -1519,6 +1520,10 @@
 AC_SUBST([XSDL_LIBS])
 AC_SUBST([XSDL_INCS])
 
+AM_CONDITIONAL(KDRIVEW100, [test "x$KDRIVEW100" = xyes])
+if test "x$KDRIVEW100" = xyes; then
+        AC_DEFINE(KDRIVEW100, 1, [Build Xw100 server])
+fi
 
 dnl these only go in xkb-config.h (which is shared by the Xorg and Xnest servers)
 AC_DEFINE(__XKBDEFRULES__, "xorg", [Default XKB rules])
@@ -1753,6 +1758,7 @@
 hw/kdrive/epson/Makefile
 hw/kdrive/fake/Makefile
 hw/kdrive/fbdev/Makefile
+hw/kdrive/w100/Makefile
 hw/kdrive/i810/Makefile
 hw/kdrive/linux/Makefile
 hw/kdrive/mach64/Makefile
